Scala Reflection Library2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros

  EXPERIMENTAL

  EXPERIMENTAL

  The base package for Scala macros.

  Macros are functions that are called by the compiler during compilation. Within these functions the programmer has access to compiler APIs. For example, it is possible to generate, analyze and typecheck code.

  See the Macros Guide on how to get started with Scala macros.

  Definition Classes
    reflect
-  package blackbox
  Definition Classes
    macros
-  package whitebox
  Definition Classes
    macros
- Aliases
- Attachments
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- ParseException
- Parsers
- ReificationException
- Reifiers
- TypecheckException
- Typers
- UnexpectedReificationException
- Universe

c

scala.reflect.macros

# TypecheckException 

###

#### case class TypecheckException(pos: Position, msg: String) extends Exception with Product with Serializable

Indicates an error during one of the methods in scala.reflect.macros.Typers.

Source
  Typers.scala

Linear Supertypes
Serializable, Product, Equals, java.lang.Exception, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypecheckException
2. Serializable
3. Product
4. Equals
5. Exception
6. Throwable
7. Serializable
8. AnyRef
9. Any

Implicitly

1. by RichException
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TypecheckException(pos: Position, msg: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from TypecheckException to any2stringadd[TypecheckException] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (TypecheckException, B)
   Implicit
     This member is added by an implicit conversion from TypecheckException to ArrowAssoc[TypecheckException] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def addSuppressed(arg0: java.lang.Throwable): Unit
   Definition Classes
     Throwable
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (TypecheckException) ⇒ Boolean, msg: ⇒ Any): TypecheckException
   Implicit
     This member is added by an implicit conversion from TypecheckException to Ensuring[TypecheckException] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (TypecheckException) ⇒ Boolean): TypecheckException
    Implicit
      This member is added by an implicit conversion from TypecheckException to Ensuring[TypecheckException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): TypecheckException
    Implicit
      This member is added by an implicit conversion from TypecheckException to Ensuring[TypecheckException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): TypecheckException
    Implicit
      This member is added by an implicit conversion from TypecheckException to Ensuring[TypecheckException] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def fillInStackTrace(): java.lang.Throwable
    Definition Classes
      Throwable
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from TypecheckException to StringFormat[TypecheckException] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  def getCause(): java.lang.Throwable
    Definition Classes
      Throwable
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
19.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
20.  def getMessage(): String
    Definition Classes
      Throwable
21.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
22.  final def getSuppressed(): Array[java.lang.Throwable]
    Definition Classes
      Throwable
23.  def initCause(arg0: java.lang.Throwable): java.lang.Throwable
    Definition Classes
      Throwable
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  val msg: String
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  val pos: Position
30.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
31.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
32.  def printStackTrace(): Unit
    Definition Classes
      Throwable
33.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def →[B](y: B): (TypecheckException, B)
    Implicit
      This member is added by an implicit conversion from TypecheckException to ArrowAssoc[TypecheckException] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def getStackTraceString: String
   Implicit
     This member is added by an implicit conversion from TypecheckException to RichException performed by method RichException in scala.Predef.
   Definition Classes
     RichException
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use Throwable#getStackTrace

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from java.lang.Exception

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion RichException from TypecheckException to RichException

### Inherited by implicit conversion any2stringadd from TypecheckException to any2stringadd[TypecheckException]

### Inherited by implicit conversion StringFormat from TypecheckException to StringFormat[TypecheckException]

### Inherited by implicit conversion Ensuring from TypecheckException to Ensuring[TypecheckException]

### Inherited by implicit conversion ArrowAssoc from TypecheckException to ArrowAssoc[TypecheckException]

### Ungrouped